package edu.sc.seis.badprogrammer;

/**
 * Indicates that a resource that should've been found through a classloader
 * wasn't found. Probably means the build screwed up or maybe that the wrong
 * classloader was used.
 * 
 * @author groves
 * 
 * Created on Aug 19, 2006
 */
public class ClassloaderResourceException extends RuntimeException {

    public ClassloaderResourceException(String locationOfResourceThatShouldveBeenThere) {
        super("Unable to find '" + locationOfResourceThatShouldveBeenThere
                + "' using the classloader.");
    }
}
