package edu.sc.seis.badprogrammer;

/**
 * Indicates that a block of code that should've been impossible to reach due to
 * some constraints on the system was in fact reached. For example if an
 * external constraint indicated that a checked exception wouldn't be thrown it
 * would be appropriate to throw an UnexpectedCodeReached exception from a catch
 * block on that exception.
 * 
 * @author groves
 * 
 * Created on Aug 19, 2006
 */
public class UnexpectedCodeReachedException extends BadProgrammerException {

    public UnexpectedCodeReachedException() {}

    public UnexpectedCodeReachedException(String message) {
        super(message);
    }

    public UnexpectedCodeReachedException(String message, Exception source) {
        super(message, source);
    }
}
